
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
    <script>
import extend from "@/extension/inbound/inboundOrder.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "入库单",
      name: "inboundOrder",
      url: "/InboundOrder/",
      sortName: "id",
    });
    const editFormFields = ref({
      orderType: "",
      orderNo:"",
      upperOrderNo: "",
      orderName: "",
    });
    const editFormOptions = ref([
      [
        {
          title: "物料号",
          field: "orderName",
          type: "string",
        },
        {
          title: "物料名称",
          field: "upperOrderNo",
          type: "string",
        },
        {
          title: "物料详情",
          field: "orderNo",
          type: "string",
        },
        {
          title: "物料类型",
          required: true,
          field: "orderType",
          type: "select",
          dataKey: "InventoryMaterialType",
          data: [],
        },
        
      ],
    ]);
    const searchFormFields = ref({
      orderName: "",
      upperOrderNo: "",
      orderNo: "",
      orderType: "",

    });
    const searchFormOptions = ref([
      [
        { title: "物料号", field: "orderName", type: "like" },
        { title: "物料名称", field: "upperOrderNo", type: "like" },
        { title: "物料详情", field: "orderNo", type: "like" },
        {
          title: "单据类型",
          field: "orderType",
          type: "select",
          dataKey: "InventoryMaterialType",
          data: [],
        },
      ],
    ]);
    const columns = ref([
      {
        field: "id",
        title: "Id",
        type: "int",
        width: 90,
        hidden: true,
        readonly: true,
        require: true,
        align: "left",
      },
      
      {
        field: "orderName",
        title: "物料号",
        type: "string",
        width: 100,
        align: "left",
      },
      {
        field: "upperOrderNo",
        title: "物料名称",
        type: "string",
        width: 150,
        align: "left",
      },
      {
        field: "orderType",
        title: "类型",
        type: "string",
        width: 150,
        align: "left",
        bind: { key: "InventoryMaterialType", data: [] },
      },
      {
        field: "orderNo",
        title: "物料详情",
        type: "string",
        width: 120,
        align: "left",
        // link: true,
      },

    ]);
    // const detail = ref({
    //   cnName: "入库单明细",
    //   table: "InboundOrderDetail",
    //   columns: [
    //     {
    //       field: "id",
    //       title: "Id",
    //       type: "int",
    //       width: 90,
    //       hidden: true,
    //       readonly: true,
    //       require: true,
    //       align: "left",
    //     },
    //     {
    //       field: "orderId",
    //       title: "入库单主键",
    //       type: "string",
    //       width: 90,
    //       align: "left",
    //       hidden: true,
    //     },
    //     {
    //       field: "materielCode",
    //       title: "物料编号",
    //       type: "select",
    //       width: 150,
    //       align: "left",
    //       edit: { type: "" },

    //     },
    //     {
    //       field: "materielName",
    //       title: "物料名称",
    //       type: "string",
    //       width: 150,
    //       align: "left",
    //       edit: { type: "" },
    //     },
    //     {
    //       field: "batchNo",
    //       title: "批次号",
    //       type: "decimal",
    //       width: 90,
    //       align: "left",
    //       edit: { type: "" },
    //       required: true,
    //     },
    //     {
    //       field: "orderQuantity",
    //       title: "单据数量",
    //       type: "decimal",
    //       width: 90,
    //       align: "left",
    //       edit: { type: "number" },
    //       required: true,
    //     },
    //     {
    //       field: "receiptQuantity",
    //       title: "组盘数量",
    //       type: "int",
    //       width: 120,
    //       align: "left",
    //     },
    //     {
    //       field: "overInQuantity",
    //       title: "上架数量",
    //       type: "string",
    //       width: 200,
    //       align: "left",
    //     },
    //     {
    //       field: "orderDetailStatus",
    //       title: "订单明细状态",
    //       type: "string",
    //       width: 180,
    //       align: "left",
    //       bind: { key: "orderDetailStatusEnum", data: [] },
    //     },
    //     {
    //       field: "creater",
    //       title: "创建人",
    //       type: "string",
    //       width: 90,
    //       align: "left",
    //     },
    //     {
    //       field: "createDate",
    //       title: "创建时间",
    //       type: "datetime",
    //       width: 160,
    //       align: "left",
    //     },
    //     {
    //       field: "modifier",
    //       title: "修改人",
    //       type: "string",
    //       width: 100,
    //       align: "left",
    //     },
    //     {
    //       field: "modifyDate",
    //       title: "修改时间",
    //       type: "datetime",
    //       width: 160,
    //       align: "left",
    //     },
    //     {
    //       field: "remark",
    //       title: "备注",
    //       type: "string",
    //       width: 100,
    //       align: "left",
    //     },
    //   ],
    //   sortName: "id",
    //   key: "id",
    // });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      //detail,
    };
  },
});
</script>
    